aboutsummaryrefslogtreecommitdiff
path: root/devscripts
diff options
context:
space:
mode:
Diffstat (limited to 'devscripts')
-rwxr-xr-x[-rw-r--r--]devscripts/posix-locale.sh0
-rwxr-xr-xdevscripts/release.sh11
-rwxr-xr-x[-rw-r--r--]devscripts/wine-py2exe.sh0
3 files changed, 11 insertions, 0 deletions
diff --git a/devscripts/posix-locale.sh b/devscripts/posix-locale.sh
index 0aa7a592d..0aa7a592d 100644..100755
--- a/devscripts/posix-locale.sh
+++ b/devscripts/posix-locale.sh
diff --git a/devscripts/release.sh b/devscripts/release.sh
new file mode 100755
index 000000000..75f8ec8eb
--- /dev/null
+++ b/devscripts/release.sh
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -z "$1" ]; then echo "ERROR: specify version number like this: $0 1994.09.06"; exit 1; fi
+version="$1"
+if [ ! -z "`git tag | grep "$version"`" ]; then echo 'ERROR: version already present'; exit 1; fi
+if [ ! -z "`git status --porcelain`" ]; then echo 'ERROR: the working directory is not clean; commit or stash changes'; exit 1; fi
+sed -i "s/__version__ = '.*'/__version__ = '$version'/" youtube_dl/__init__.py
+make all
+git add -A
+git commit -m "release $version"
+git tag -m "Release $version" "$version" \ No newline at end of file
diff --git a/devscripts/wine-py2exe.sh b/devscripts/wine-py2exe.sh
index dc2d6501a..dc2d6501a 100644..100755
--- a/devscripts/wine-py2exe.sh
+++ b/devscripts/wine-py2exe.sh